require 'rails/generators'

module Shellac
  module Generators
    class InstallGenerator < Rails::Generators::Base
      
      source_root File.expand_path("../../templates", __FILE__)
            
      def generate
        copy_file "config/varnish.yml", "config/varnish.yml"
        
        puts "------------------------"
        puts "Now configure your varnish setup here:"
        puts "config/varnish.yml"
        puts "------------------------"
      end
      
    end
  end
end