require 'rails'
require 'klarlack'

class Railtie < Rails::Railtie
  config.before_initialize do
    require File.expand_path('../shellac/cache', __FILE__)
    require File.expand_path('../shellac/actions', __FILE__)
  end

  config.to_prepare do
    ActionController::Base.send :extend, Shellac::Actions
    ActionController::Base.send :include, Shellac::Actions
  end
end